---
- name: Install packages
  become: yes
  apt: update_cache=yes  
       cache_valid_time=3600
       name={{ item }}
       state=present 
  with_items:
    - build-essential
    - gcc
    - manpages-dev
    - gcc-multilib
    
- name: Turn off randomization
  sysctl:
          name: kernel.randomize_va_space
          value: 0

- name: Copy C files to server
  ansible.builtin.copy:
    src: ../files/server_files/
    dest: /var/scripts/
    owner: root

- name: Build server
  become: yes
  make:
    chdir: /var/scripts

- name: Run server
  shell: cd /var/scripts &&  nohup ./server  </dev/null >/dev/null 2>&1  & 
  

...
